package cd.casic.ci.process.dal.resp.target;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TargetManager
 * @Date: 2025/5/17 10:23
 * @Description:
 */
@Data
public class TargetManagerResp{
    private String id;

    /**
     * 目标名称
     */
    private String targetName;

    /**
     * 目标图标
     */
    private String targetIcon;

    /**
     * 组织ID
     */
    private String projectId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    /**
     * 最后更新时间
     */
    private LocalDateTime updateTime;

    private String creator;
    private String creatorName;

    private String updater;
    private String updaterName;
}
